var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React, { useContext } from 'react';
import { Context } from '../context';
function IconVolcengineComponent(props, ref) {
    var prefixFromContext = useContext(Context).prefix;
    var _a = props.className, className = _a === void 0 ? '' : _a, prefixFromProps = props.prefix, _b = props.width, width = _b === void 0 ? '1em' : _b, _c = props.height, height = _c === void 0 ? '1em' : _c, _d = props.useCurrentColor, useCurrentColor = _d === void 0 ? false : _d, spin = props.spin, rest = __rest(props, ["className", "prefix", "width", "height", "useCurrentColor", "spin"]);
    var prefix = prefixFromProps || prefixFromContext || 'hiagent';
    var loadingKls = spin ? " ".concat(prefix, "-icon-loading") : '';
    return React.createElement("svg", __assign({ className: "".concat(prefix, "-icon ").concat(prefix, "-icon-volcengine").concat(loadingKls, " ").concat(className), width: width, height: height, viewBox: "0 0 14 14", fill: useCurrentColor ? 'currentColor' : 'none', xmlns: "http://www.w3.org/2000/svg" }, rest, { ref: ref }),
        React.createElement("g", { clipPath: "url(#svg_8ec49a59fe__clip0_7915_3261)" },
            React.createElement("path", { d: "M11.6792 6.97819L9.77669 13.1087C9.74911 13.2286 9.84563 13.3619 9.98349 13.3619H13.7885C13.9263 13.3619 14.0229 13.2419 13.9953 13.1087L12.079 6.97819C12.0376 6.77827 11.7206 6.77827 11.6792 6.97819zM1.14672 10.017L-.0388939 13.1222C-.0664664 13.2422.0300373 13.3621.1679 13.3621H2.52534C2.6632 13.3621 2.75971 13.2422 2.73213 13.1222L1.54652 10.017C1.50516 9.80375 1.20187 9.80375 1.14672 10.017z", fill: useCurrentColor ? 'currentColor' : '#37E2E2' }),
            React.createElement("path", { d: "M3.73857 3.95279L1.11919 13.1086C1.09162 13.2285 1.18812 13.3618 1.32598 13.3618H6.56474C6.70261 13.3618 6.79913 13.2418 6.77154 13.1086L4.15216 3.95279C4.09701 3.75288 3.79371 3.75288 3.73857 3.95279Z", fill: useCurrentColor ? 'currentColor' : '#1678FF' }),
            React.createElement("path", { d: "M8.15029 0.453566L4.44179 13.1087C4.41421 13.2286 4.51072 13.3619 4.64859 13.3619H12.0518C12.1896 13.3619 12.2862 13.2419 12.2586 13.1087L8.55007 0.453566C8.49496 0.240332 8.19164 0.240332 8.15029 0.453566Z", fill: useCurrentColor ? 'currentColor' : '#1678FF' }),
            React.createElement("path", { d: "M5.6963 5.47181L3.43535 13.1216C3.40778 13.2416 3.50428 13.3748 3.64214 13.3748H8.164C8.30187 13.3748 8.39839 13.2549 8.3708 13.1216L6.09609 5.47181C6.05474 5.25858 5.73765 5.25858 5.6963 5.47181Z", fill: useCurrentColor ? 'currentColor' : '#37E2E2' })),
        React.createElement("defs", null,
            React.createElement("clipPath", { id: "svg_8ec49a59fe__clip0_7915_3261" },
                React.createElement("path", { fill: useCurrentColor ? 'currentColor' : '#fff', d: "M0 0H14V14H0z" }))));
}
var IconVolcengine = React.forwardRef(IconVolcengineComponent);
export default IconVolcengine;
